View Issue Details

IDProjectCategoryView StatusLast Update
0004798Talerotherpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004798: Format /history output
DescriptionThe back office interface should:

1 Show more details about contracts when it calls /history
2 Right align amounts shown in the table
3 Provide a submit button next to the line, so NO copy-paste from the
table to the form in the same page.
TagsNo tags attached.

Activities

Marcello Stanisci

2016-12-08 17:22

manager   ~0011582

Adding right-align

Marcello Stanisci

2016-12-12 17:39

manager   ~0011587

Bullet point 1 needs a change in the frontend logic: it has to keep the plain
contract in the state, wait for the payment to be successful, and lastly store it
at the backend (/map/in).

Marcello Stanisci

2016-12-13 15:48

manager   ~0011588

1,2 implemented in 5bc1581. De-prioritizing point 3.

Marcello Stanisci

2016-12-20 16:29

manager   ~0011600

Last edited: 2016-12-20 16:30

View 2 revisions

As of point 3, the design wants the transaction ID clickable, so that its
clicking will *fill* the form. That way, the user can still see which parameters
are needed for tracking.

Marcello Stanisci

2016-12-21 19:48

manager   ~0011604

Completed in a3f0021. To be merged into the 'stable' branch.

Issue History

Date Modified Username Field Change
2016-11-17 18:23 Marcello Stanisci New Issue
2016-11-17 20:33 Christian Grothoff Assigned To => Marcello Stanisci
2016-11-17 20:33 Christian Grothoff Severity minor => feature
2016-11-17 20:33 Christian Grothoff Status new => assigned
2016-11-17 20:33 Christian Grothoff Product Version => SVN HEAD
2016-11-17 20:46 Marcello Stanisci Priority normal => high
2016-12-07 14:18 Marcello Stanisci Priority high => normal
2016-12-08 17:22 Marcello Stanisci Note Added: 0011582
2016-12-12 17:36 Marcello Stanisci Priority normal => urgent
2016-12-12 17:39 Marcello Stanisci Note Added: 0011587
2016-12-13 15:48 Marcello Stanisci Note Added: 0011588
2016-12-13 15:49 Marcello Stanisci Priority urgent => normal
2016-12-20 16:29 Marcello Stanisci Note Added: 0011600
2016-12-20 16:30 Marcello Stanisci Note Edited: 0011600 View Revisions
2016-12-21 19:48 Marcello Stanisci Status assigned => resolved
2016-12-21 19:48 Marcello Stanisci Resolution open => fixed
2016-12-21 19:48 Marcello Stanisci Note Added: 0011604
2017-01-16 10:21 Christian Grothoff Fixed in Version => 0.3
2017-01-16 10:21 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed